PICOTOOL-ERASE(1)

NAME
picotool-erase - Erase the program / memory stored in flash on the device.

SYNOPSIS
picotool erase [-a] [device-selection]

picotool erase -p <partition> [device-selection]

picotool erase -r <from> <to> [device-selection]

OPTIONS
Selection of data to erase

-a, --all
    Erase all of flash memory. This is the default

-p, --partition
    Erase a partition

<partition>
    Partition number to erase

-r, --range
    Erase a range of memory. Note that erases must be 4096 byte-aligned,so the range is expanded accordingly

<from>
    The lower address bound in hex

<to>
    The upper address bound in hex

Source device selection

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted